Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC03.DAT' lrecl= 41;
Data SASLIB.SEC03;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V03A01   Length=3 Label='01. Area  Nasceu';
   attrib V03A02   Length=3 Label='02. Nasceu Neste Municipio?';
   attrib V03A03   Length=3 Label='03.  Area  Morou Ate 15 anos';
   attrib V03A04   Length=3 Label='04.  UF Nascimento';
   attrib V03A05   Length=3 Label='05. Tempo Anos Mora UF';
   attrib V03A06   Length=3 Label='06. Tempo Meses Mora UF';
   attrib V03A07   Length=3 Label='07. Ultima UF Morou';
   attrib V03A08   Length=3 Label='08. Ultima Area Morou';
   attrib V03A09   Length=3 Label='09. Porque Veio Morar UF';
   attrib V03A09F  Length=3 Label='Flag09 - Secao 03';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V03A01      27-27
   V03A02      28-28
   V03A03      29-29
   V03A04      30-31
   V03A05      32-34
   V03A06      35-36
   V03A07      37-38
   V03A08      39-39
   V03A09      40-40
   V03A09F     41-41
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V03A01  >=9.           Then V03A01=.;
   if V03A02  >=9.           Then V03A02=.;
   if V03A03  >=9.           Then V03A03=.;
   if V03A04  >=99.          Then V03A04=.;
   if V03A05  >=999.         Then V03A05=.;
   if V03A06  >=99.          Then V03A06=.;
   if V03A07  >=99.          Then V03A07=.;
   if V03A08  >=9.           Then V03A08=.;
   if V03A09  >=9.           Then V03A09=.;
