Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC04PA.DAT' lrecl= 161;
Data SASLIB.SEC04PA;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V04A01   Length=3 Label='01. Le Jornais, Bilhete, Etc?';
   attrib V04A02   Length=3 Label='02. Sabe Escrever Carta/Bilhete?';
   attrib V04A03   Length=3 Label='03. Faz Contas Por Escrito?';
   attrib V04A04   Length=3 Label='04. Frequenta Estab. Ensino?';
   attrib V04A05   Length=3 Label='05. C/Quem Fica Criana/Adol.';
   attrib V04A06   Length=3 Label='06. Porque Nao Freq.Est.Ensino';
   attrib V04A07   Length=3 Label='07. Ja Freq. Estab. Ensino?';
   attrib V04A08   Length=3 Label='08. Serie  Frequenta';
   attrib V04A09   Length=3 Label='09. Grau Correspondente Serie';
   attrib V04A10   Length=3 Label='10. C/ Quem Fica Qdo N Estuda';
   attrib V04A11   Length=3 Label='11. O Que Faz Qdo Nao Estuda';
   attrib V04A12   Length=3 Label='12. Tipo Estab. Ensino';
   attrib V04A13   Length=3 Label='13. Oferece Refeicao Gratuita?';
   attrib V04A14   Length=3 Label='14. Frequencia Refeicao';
   attrib V04A15   Length=3 Label='15. Oferece Refeicao Ferias?';
   attrib V04A16   Length=3 Label='16. C/Quem Vai Estab. Ensino';
   attrib V04A17   Length=3 Label='17. Estab. Possui Uso Aluno';
   attrib V04A18   Length=3 Label='18. Estab. Fornece Gratuito';
   attrib V04A19   Length=3 Label='19. Estab.Tem Carteira Individ.?';
   attrib V04A20   Length=3 Label='20. Permanencia Estab. Hs/Diar.';
   attrib V04A21   Length=3 Label='21. Permanencia Estab. Min/Diar';
   attrib V04A22   Length=3 Label='22. Turno  Frequenta';
   attrib V04A23   Length=3 Label='23. Frequencia Executa Tarefas';
   attrib V04A24   Length=3 Label='24. Faltou  Aulas Ultimos 30 D?';
   attrib V04A25   Length=3 Label='25. Quantos Dias Faltou Aulas?';
   attrib V04A26   Length=3 Label='26. Principal Motivo Falta';
   attrib V04A27   Length=3 Label='27. Recebe Bolsa Estudo?';
   attrib V04A28   Length=5 Label='28. Valor Mensal Bolsa Estudo';
   attrib V04A29   Length=3 Label='29. Quem Fornece Bolsa Estudo';
   attrib V04A30   Length=3 Label='30. Recebe Ajuda Estudo?';
   attrib V04A31   Length=3 Label='31. Frequenta Aulas Particulares?';
   attrib V04A32   Length=5 Label='32. Gasto Aula Particular 30 D';
   attrib V04A33   Length=3 Label='33. Transporte Estab. Ensino';
   attrib V04A34   Length=3 Label='34. Horas Ir Estab.Ensino';
   attrib V04A35   Length=3 Label='35. Minutos Ir Estab. Ensino';
   attrib V04A36   Length=5 Label='36. Gasto Mens Escola Ult.30 D';
   attrib V04A37   Length=5 Label='37. Gasto Matr. Escola Ult.30 D';
   attrib V04A38   Length=5 Label='38. Gasto Matr. Escola Ult.12 M';
   attrib V04A39   Length=5 Label='39. Gasto Reparo Escola 30 D';
   attrib V04A40   Length=5 Label='40. Gasto Reparo Escola 12 M';
   attrib V04A41   Length=5 Label='41. Gasto Uniforme Escola30 D';
   attrib V04A42   Length=5 Label='42. Gasto Uniforme Escola12 M';
   attrib V04A43   Length=5 Label='43. GastoTransp.P/Escola 30 D';
   attrib V04A44   Length=5 Label='44. Gasto Transp.P/Escola12 M';
   attrib V04A45   Length=5 Label='45. Gasto Livros/Mat.Didat.30 D';
   attrib V04A46   Length=5 Label='46. Gasto Livros/Mat.Didat.12 M';
   attrib V04A47   Length=5 Label='47. Gasto Ativ.Extra-Escola 30D';
   attrib V04A48   Length=5 Label='48. Gasto Ativ. Extra-Escola12M';
   attrib V04A48F  Length=3 Label='Flag48 - Secao 04 - Parte A';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V04A01      27-27
   V04A02      28-28
   V04A03      29-29
   V04A04      30-30
   V04A05      31-32
   V04A06      33-33
   V04A07      34-34
   V04A08      35-35
   V04A09      36-37
   V04A10      38-39
   V04A11      40-42
   V04A12      43-43
   V04A13      44-44
   V04A14      45-45
   V04A15      46-46
   V04A16      47-47
   V04A17      48-50
   V04A18      51-51
   V04A19      52-52
   V04A20      53-54
   V04A21      55-56
   V04A22      57-57
   V04A23      58-58
   V04A24      59-59
   V04A25      60-61
   V04A26      62-62
   V04A27      63-63
   V04A28      64-69 .2
   V04A29      70-70
   V04A30      71-71
   V04A31      72-72
   V04A32      73-78 .2
   V04A33      79-79
   V04A34      80-80
   V04A35      81-82
   V04A36      83-88 .2
   V04A37      89-94 .2
   V04A38      95-100 .2
   V04A39      101-106 .2
   V04A40      107-112 .2
   V04A41      113-118 .2
   V04A42      119-124 .2
   V04A43      125-130 .2
   V04A44      131-136 .2
   V04A45      137-142 .2
   V04A46      143-148 .2
   V04A47      149-154 .2
   V04A48      155-160 .2
   V04A48F     161-161
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V04A01  >=9.           Then V04A01=.;
   if V04A02  >=9.           Then V04A02=.;
   if V04A03  >=9.           Then V04A03=.;
   if V04A04  >=9.           Then V04A04=.;
   if V04A05  >=99.          Then V04A05=.;
   if V04A06  >=9.           Then V04A06=.;
   if V04A08  >=9.           Then V04A08=.;
   if V04A09  >=99.          Then V04A09=.;
   if V04A10  >=99.          Then V04A10=.;
   if V04A11  >=999.         Then V04A11=.;
   if V04A12  >=9.           Then V04A12=.;
   if V04A13  >=9.           Then V04A13=.;
   if V04A14  >=9.           Then V04A14=.;
   if V04A15  >=9.           Then V04A15=.;
   if V04A16  >=9.           Then V04A16=.;
   if V04A17  >=999.         Then V04A17=.;
   if V04A18  >=9.           Then V04A18=.;
   if V04A19  >=9.           Then V04A19=.;
   if V04A20  >=99.          Then V04A20=.;
   if V04A21  >=99.          Then V04A21=.;
   if V04A23  >=9.           Then V04A23=.;
   if V04A24  >=9.           Then V04A24=.;
   if V04A25  >=99.          Then V04A25=.;
   if V04A26  >=9.           Then V04A26=.;
   if V04A27  >=9.           Then V04A27=.;
   if V04A28  >=9999.        Then V04A28=.;
   if V04A30  >=9.           Then V04A30=.;
   if V04A31  >=9.           Then V04A31=.;
   if V04A32  >=9999.        Then V04A32=.;
   if V04A33  >=9.           Then V04A33=.;
   if V04A34  >=9.           Then V04A34=.;
   if V04A35  >=99.          Then V04A35=.;
   if V04A36  >=9999.        Then V04A36=.;
   if V04A37  >=9999.        Then V04A37=.;
   if V04A38  >=9999.        Then V04A38=.;
   if V04A39  >=9999.        Then V04A39=.;
   if V04A40  >=9999.        Then V04A40=.;
   if V04A41  >=9999.        Then V04A41=.;
   if V04A42  >=9999.        Then V04A42=.;
   if V04A43  >=9999.        Then V04A43=.;
   if V04A44  >=9999.        Then V04A44=.;
   if V04A45  >=9999.        Then V04A45=.;
   if V04A46  >=9999.        Then V04A46=.;
   if V04A47  >=9999.        Then V04A47=.;
   if V04A48  >=9999.        Then V04A48=.;
