Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC05.DAT' lrecl= 110;
Data SASLIB.SEC05;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V05A01   Length=3 Label='01. Avaliacao Estado Saude';
   attrib V05A02   Length=3 Label='02. Faz Exerc.Fisico/Esporte?';
   attrib V05A03   Length=3 Label='03. Tipo Exercicio/Esporte';
   attrib V05A04   Length=3 Label='04. EsporteTodas As Semanas?';
   attrib V05A05   Length=3 Label='05. Dias Semana Pratica Esporte';
   attrib V05A06   Length=3 Label='06. Tempo Duracao Dia Esporte';
   attrib V05A07   Length=3 Label='07. Como Avalia Respiracao';
   attrib V05A08   Length=3 Label='08. Principal Motivo Pratica Esp.';
   attrib V05A09   Length=3 Label='09. Problema Cronico Saude?';
   attrib V05A10   Length=3 Label='10. Principal Causa Problema';
   attrib V05A11   Length=3 Label='11. Faz Acompanh. Medico?';
   attrib V05A12   Length=3 Label='12. Atend. Mesmo Profissional?';
   attrib V05A13   Length=3 Label='13. Onde Faz Acomp. Medico';
   attrib V05A14   Length=3 Label='14. Paga Cons. Acomp Medico?';
   attrib V05A15   Length=3 Label='15. Mes Ultima Consulta';
   attrib V05A16   Length=3 Label='16. Ano Ultima Consulta';
   attrib V05A17   Length=3 Label='17. Consultas/Ano Probl. Saude';
   attrib V05A18   Length=3 Label='18. Exames Period. Probl.Saude';
   attrib V05A19   Length=3 Label='19. Mes Ultimo Exame Periodico';
   attrib V05A20   Length=3 Label='20. Ano Ultimo Exame Periodico';
   attrib V05A21   Length=3 Label='21. Exames/Ano Probl. Saude';
   attrib V05A22   Length=3 Label='22. Teve Probl Saude Ult.30 D?';
   attrib V05A23   Length=3 Label='23. Tipo Problema Saude Ult.30';
   attrib V05A24   Length=3 Label='24. Deixou Realiz. Ativ.Ult 30 D?';
   attrib V05A25   Length=3 Label='25  Atividade Deixou Realizar';
   attrib V05A26   Length=3 Label='26. Quantos Dias Deixou Realiz.';
   attrib V05A27   Length=3 Label='27. Procurou Atend. Saude?';
   attrib V05A28   Length=3 Label='28. Procurou Atend.Outro Motiv?';
   attrib V05A29   Length=3 Label='29. Porque Procurou Atend.';
   attrib V05A30   Length=3 Label='30. Quem Atendeu';
   attrib V05A31   Length=3 Label='31. Onde Ocorreu  Atendimento';
   attrib V05A32   Length=3 Label='32. Pagou Pelo Atendimento?';
   attrib V05A33   Length=3 Label='33. Horas Chegar Local Atend.';
   attrib V05A34   Length=3 Label='34. Minutos Chegar Local Atend.';
   attrib V05A35   Length=3 Label='35. Horas Espera Atendimento';
   attrib V05A36   Length=3 Label='36. Minutos Espera Atendimento';
   attrib V05A37   Length=3 Label='37. Porque Nao Procurou Atend.';
   attrib V05A38   Length=3 Label='38. Convenio/Seguro-Saude?';
   attrib V05A39   Length=3 Label='39. Despesa Cons./Trat.30 D?';
   attrib V05A40   Length=5 Label='40. Gasto Cons./Trat.30 D';
   attrib V05A41   Length=3 Label='41. Despesa Internacao 30 D?';
   attrib V05A42   Length=5 Label='42. Gasto Internacoes 30 D';
   attrib V05A43   Length=3 Label='43. Desp. Ex.Lab./RX 30 D?';
   attrib V05A44   Length=5 Label='44. Gasto Ex. Lab./RX 30 D';
   attrib V05A45   Length=3 Label='45. Despesa Remedios 30 D?';
   attrib V05A46   Length=5 Label='46. Gasto Remedios 30 D';
   attrib V05A46F  Length=3 Label='Flag Secao 05';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V05A01      27-27
   V05A02      28-28
   V05A03      29-29
   V05A04      30-30
   V05A05      31-31
   V05A06      32-32
   V05A07      33-33
   V05A08      34-34
   V05A09      35-35
   V05A10      36-37
   V05A11      38-38
   V05A12      39-39
   V05A13      40-40
   V05A14      41-41
   V05A15      42-43
   V05A16      44-45
   V05A17      46-47
   V05A18      48-48
   V05A19      49-50
   V05A20      51-52
   V05A21      53-54
   V05A22      55-55
   V05A23      56-56
   V05A24      57-57
   V05A25      58-59
   V05A26      60-61
   V05A27      62-62
   V05A28      63-63
   V05A29      64-65
   V05A30      66-66
   V05A31      67-67
   V05A32      68-68
   V05A33      69-70
   V05A34      71-72
   V05A35      73-74
   V05A36      75-76
   V05A37      77-77
   V05A38      78-78
   V05A39      79-79
   V05A40      80-86 .2
   V05A41      87-87
   V05A42      88-94 .2
   V05A43      95-95
   V05A44      96-102 .2
   V05A45      103-103
   V05A46      104-109 .2
   V05A46F     110-110
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V05A01  >=9.           Then V05A01=.;
   if V05A02  >=9.           Then V05A02=.;
   if V05A03  >=9.           Then V05A03=.;
   if V05A04  >=9.           Then V05A04=.;
   if V05A05  >=9.           Then V05A05=.;
   if V05A06  >=9.           Then V05A06=.;
   if V05A08  >=9.           Then V05A08=.;
   if V05A09  >=9.           Then V05A09=.;
   if V05A10  >=99.          Then V05A10=.;
   if V05A11  >=9.           Then V05A11=.;
   if V05A12  >=9.           Then V05A12=.;
   if V05A14  >=9.           Then V05A14=.;
   if V05A15  >=99.          Then V05A15=.;
   if V05A16  >=99.          Then V05A16=.;
   if V05A17  >=99.          Then V05A17=.;
   if V05A18  >=9.           Then V05A18=.;
   if V05A19  >=99.          Then V05A19=.;
   if V05A20  >=99.          Then V05A20=.;
   if V05A21  >=99.          Then V05A21=.;
   if V05A22  >=9.           Then V05A22=.;
   if V05A23  >=9.           Then V05A23=.;
   if V05A24  >=9.           Then V05A24=.;
   if V05A25  >=99.          Then V05A25=.;
   if V05A26  >=99.          Then V05A26=.;
   if V05A27  >=9.           Then V05A27=.;
   if V05A28  >=9.           Then V05A28=.;
   if V05A29  >=99.          Then V05A29=.;
   if V05A31  >=9.           Then V05A31=.;
   if V05A32  >=9.           Then V05A32=.;
   if V05A33  >=99.          Then V05A33=.;
   if V05A34  >=99.          Then V05A34=.;
   if V05A35  >=99.          Then V05A35=.;
   if V05A36  >=99.          Then V05A36=.;
   if V05A38  >=9.           Then V05A38=.;
   if V05A39  >=9.           Then V05A39=.;
   if V05A40  >=99999.       Then V05A40=.;
   if V05A41  >=9.           Then V05A41=.;
   if V05A42  >=99999.       Then V05A42=.;
   if V05A43  >=9.           Then V05A43=.;
   if V05A44  >=99999.       Then V05A44=.;
   if V05A45  >=9.           Then V05A45=.;
   if V05A46  >=9999.        Then V05A46=.;
