Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC07PB.DAT' lrecl= 38;
Data SASLIB.SEC07PB;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem  Pessoa';
   attrib V07B01   Length=3 Label='01. Mes  Iniciou Uniao Atual';
   attrib V07B02   Length=3 Label='02. Ano  Iniciou Uniao Atual';
   attrib V07B03   Length=3 Label='03. Idade Conjuge Inic. Uniao At';
   attrib V07B04   Length=3 Label='04. Uniao Atual  Primeira ?';
   attrib V07B05   Length=3 Label='05. Mes Inicio Primeira Uniao';
   attrib V07B06   Length=3 Label='06. Ano Inicio Primeira Uniao';
   attrib V07B06F  Length=3 Label='Flag Secao 07 Parte B';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V07B01      27-28
   V07B02      29-30
   V07B03      31-32
   V07B04      33-33
   V07B05      34-35
   V07B06      36-37
   V07B06F     38-38
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V07B01  >=99.          Then V07B01=.;
   if V07B02  >=99.          Then V07B02=.;
   if V07B03  >=99.          Then V07B03=.;
   if V07B04  >=9.           Then V07B04=.;
   if V07B05  >=99.          Then V07B05=.;
   if V07B06  >=99.          Then V07B06=.;
