Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC10PA3.DAT' lrecl= 123;
Data SASLIB.SEC10PA3;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V10A101  Length=3 Label='10. Gasto Conserv.Domic. 6 M?';
   attrib V10A111  Length=4 Label='11. Qto Gastou Conserv.Domic.';
   attrib V10A121  Length=3 Label='12. Gasto Conserv. Dom.30 D?';
   attrib V10A131  Length=4 Label='13. Qto Gastou Conserv. Domic.';
   attrib V10A102  Length=3 Label='10 .Gasto Moveis Domic. 6 M?';
   attrib V10A112  Length=4 Label='11. Qto Gastou Moveis Domic.';
   attrib V10A122  Length=3 Label='12. Gasto  Moveis lt. 30 D?';
   attrib V10A132  Length=4 Label='13. Qto Gastou Moveis Domic.';
   attrib V10A151  Length=3 Label='15. Gasto Seguro Veic.12 M?';
   attrib V10A161  Length=4 Label='16 .Qto Gastou Seguro Veiculo';
   attrib V10A171  Length=3 Label='17. Gasto Seguro Veic. 30 D?';
   attrib V10A181  Length=4 Label='18. Qto Gastou Seguro Veiculo';
   attrib V10A152  Length=3 Label='15. Gasto Seguro Domic.12 M?';
   attrib V10A162  Length=4 Label='16. Qto Gastou Seguro Domic.';
   attrib V10A172  Length=3 Label='17. Gasto Seguro Domic. 30 D?';
   attrib V10A182  Length=4 Label='18. Qto Gastou Seguro Domic.';
   attrib V10A153  Length=3 Label='15. Gasto Casamento 12 M?';
   attrib V10A163  Length=4 Label='16. Quanto Gastou Casamento';
   attrib V10A173  Length=3 Label='17 .Gasto Casamento30 Dias?';
   attrib V10A183  Length=4 Label='18. Quanto Gastou Casamento';
   attrib V10A154  Length=3 Label='15. Gasto Funeral 12 Meses?';
   attrib V10A164  Length=4 Label='16. Quanto Gastou Funeral';
   attrib V10A174  Length=3 Label='17. Gasto Funeral 30 Dias?';
   attrib V10A184  Length=4 Label='18. Quanto Gastou Funeral';
   attrib V10A155  Length=3 Label='15. Gasto Advog/Arquit.12 M?';
   attrib V10A165  Length=4 Label='16. Qto Gastou Advog/Arquiteto';
   attrib V10A175  Length=3 Label='17. Gasto  Advog./Arquit. 30 D?';
   attrib V10A185  Length=4 Label='18. Qto Gastou Advog./Arquit.';
   attrib V10A185f Length=3 Label='Flag Secao 10 Parte A3';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V10A101     25-25
   V10A111     26-31
   V10A121     32-32
   V10A131     33-38
   V10A102     39-39
   V10A112     40-45
   V10A122     46-46
   V10A132     47-52
   V10A151     53-53
   V10A161     54-59
   V10A171     60-60
   V10A181     61-66
   V10A152     67-67
   V10A162     68-73
   V10A172     74-74
   V10A182     75-80
   V10A153     81-81
   V10A163     82-87
   V10A173     88-88
   V10A183     89-94
   V10A154     95-95
   V10A164     96-101
   V10A174     102-102
   V10A184     103-108
   V10A155     109-109
   V10A165     110-115
   V10A175     116-116
   V10A185     117-122
   V10A185f    123-123
;
   if V10A101 >=9.           Then V10A101=.;
   if V10A111 >=999999.      Then V10A111=.;
   if V10A121 >=9.           Then V10A121=.;
   if V10A131 >=999999.      Then V10A131=.;
   if V10A102 >=9.           Then V10A102=.;
   if V10A112 >=999999.      Then V10A112=.;
   if V10A122 >=9.           Then V10A122=.;
   if V10A132 >=999999.      Then V10A132=.;
   if V10A151 >=9.           Then V10A151=.;
   if V10A161 >=999999.      Then V10A161=.;
   if V10A171 >=9.           Then V10A171=.;
   if V10A181 >=999999.      Then V10A181=.;
   if V10A152 >=9.           Then V10A152=.;
   if V10A162 >=999999.      Then V10A162=.;
   if V10A172 >=9.           Then V10A172=.;
   if V10A182 >=999999.      Then V10A182=.;
   if V10A153 >=9.           Then V10A153=.;
   if V10A163 >=999999.      Then V10A163=.;
   if V10A173 >=9.           Then V10A173=.;
   if V10A183 >=999999.      Then V10A183=.;
   if V10A154 >=9.           Then V10A154=.;
   if V10A164 >=999999.      Then V10A164=.;
   if V10A174 >=9.           Then V10A174=.;
   if V10A184 >=999999.      Then V10A184=.;
   if V10A155 >=9.           Then V10A155=.;
   if V10A165 >=999999.      Then V10A165=.;
   if V10A175 >=9.           Then V10A175=.;
   if V10A185 >=999999.      Then V10A185=.;
