Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC11.DAT' lrecl= 44;
Data SASLIB.SEC11;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V11A01   Length=3 Label='01. Tipo Alimento Consumido';
   attrib V11A02   Length=3 Label='02. Consumiu Este Alimento 14D';
   attrib V11A03   Length=3 Label='03. Como Obteve Alimento';
   attrib V11A04   Length=5 Label='04. Gasto  Alimento 14 D';
   attrib V11A05   Length=4 Label='05. Quant. Consum. Alim.14  D';
   attrib V11A06   Length=3 Label='06. Unidade Medida  Alimento';
   attrib V11A06F  Length=3 Label='Flag Secao 11';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V11A01      25-26
   V11A02      27-27
   V11A03      28-29
   V11A04      30-36 .2
   V11A05      37-41
   V11A06      42-43
   V11A06F     44-44
;
   if V11A01  >=99.          Then V11A01=.;
   if V11A02  >=9.           Then V11A02=.;
   if V11A03  >=99.          Then V11A03=.;
   if V11A04  >=99999.       Then V11A04=.;
   if V11A05  >=99999.       Then V11A05=.;
   if V11A06  >=99.          Then V11A06=.;
