Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC12PA.DAT' lrecl= 75;
Data SASLIB.SEC12PA;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V12A01   Length=3 Label='01. Numero  Empresa';
   attrib V12A02   Length=3 Label='02. Tipo  Atividade';
   attrib V12A03   Length=3 Label='03. Particip.Morador Emp/Nego';
   attrib V12A04   Length=3 Label='04. Recebe Orientacao Tec.?';
   attrib V12A05   Length=3 Label='05. Quem Orienta';
   attrib V12A06   Length=3 Label='06. Anos  Funcionamento';
   attrib V12A07   Length=3 Label='07. Meses  Funcionamento';
   attrib V12A08   Length=4 Label='08. Empreg.Trab. Empresa 12 M';
   attrib V12A09   Length=3 Label='09. Empresa Tem Registro?';
   attrib V12A10   Length=3 Label='10. Meses Func. Ult .12 Meses';
   attrib V12A11   Length=3 Label='11. Empresa Func. Ult. 30 Dias?';
   attrib V12A12   Length=5 Label='12. Fatur.Liquido Empresa 30 D';
   attrib V12A13   Length=3 Label='13. Receb. Pagto Serv Ult 30D?';
   attrib V12A14   Length=5 Label='14. Valor Estimado Pagamentos';
   attrib V12A15   Length=3 Label='15. Consumo Prod.Empresa 30D';
   attrib V12A16   Length=5 Label='16. Valor Estimado Prod./Serv.';
   attrib V12A17   Length=3 Label='17. Comprou Prod Estoque 30D?';
   attrib V12A18   Length=5 Label='18. Gasto  Estoque 30 D';
   attrib V12A19   Length=3 Label='19. Principal Cliente';
   attrib V12A19F  Length=3 Label='Flag Secao 12 Parte A';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V12A01      25-25
   V12A02      26-26
   V12A03      27-27
   V12A04      28-28
   V12A05      29-29
   V12A06      30-31
   V12A07      32-33
   V12A08      34-38
   V12A09      39-39
   V12A10      40-41
   V12A11      42-42
   V12A12      43-49
   V12A13      50-50
   V12A14      51-57
   V12A15      58-58
   V12A16      59-65
   V12A17      66-66
   V12A18      67-73
   V12A19      74-74
   V12A19F     75-75
;
   if V12A01  >=9.           Then V12A01=.;
   if V12A02  >=9.           Then V12A02=.;
   if V12A03  >=9.           Then V12A03=.;
   if V12A04  >=9.           Then V12A04=.;
   if V12A05  >=9.           Then V12A05=.;
   if V12A06  >=99.          Then V12A06=.;
   if V12A07  >=99.          Then V12A07=.;
   if V12A08  >=99999.       Then V12A08=.;
   if V12A09  >=9.           Then V12A09=.;
   if V12A10  >=99.          Then V12A10=.;
   if V12A11  >=9.           Then V12A11=.;
   if V12A12  >=9999999.     Then V12A12=.;
   if V12A13  >=9.           Then V12A13=.;
   if V12A14  >=9999999.     Then V12A14=.;
   if V12A15  >=9.           Then V12A15=.;
   if V12A16  >=9999999.     Then V12A16=.;
   if V12A17  >=9.           Then V12A17=.;
   if V12A18  >=9999999.     Then V12A18=.;
   if V12A19  >=9.           Then V12A19=.;
