Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PB1.DAT' lrecl= 47;
Data SASLIB.SEC13PB1;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13B100  Length=3 Label='00. Numero Produto Agricola';
   attrib V13B01   Length=3 Label='01. Produto Cultivado lt 12M';
   attrib V13B02   Length=8 Label='02. Area Plantada Produto 12 M';
   attrib V13B03   Length=3 Label='03. Unid. Superficie Area Plant.';
   attrib V13B04   Length=3 Label='04. Efetuou Colheita Ult 12 M?';
   attrib V13B05   Length=3 Label='05. Principal Mes Colheita  Prod';
   attrib V13B06   Length=3 Label='06. Porque Nao Colheu Produto';
   attrib V13B07   Length=3 Label='07. Perda Total/Parcial Produto?';
   attrib V13B08   Length=3 Label='08. Principal Motivo Perdas';
   attrib V13B08F  Length=3 Label='Flag Secao 13 Parte B1';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13B100     25-26
   V13B01      27-29
   V13B02      30-38 .2
   V13B03      39-40
   V13B04      41-41
   V13B05      42-43
   V13B06      44-44
   V13B07      45-45
   V13B08      46-46
   V13B08F     47-47
;
   if V13B100 >=99.          Then V13B100=.;
   if V13B01  >=999.         Then V13B01=.;
   if V13B02  >=9999999.     Then V13B02=.;
   if V13B03  >=99.          Then V13B03=.;
   if V13B04  >=9.           Then V13B04=.;
   if V13B05  >=99.          Then V13B05=.;
   if V13B06  >=9.           Then V13B06=.;
   if V13B07  >=9.           Then V13B07=.;
   if V13B08  >=9.           Then V13B08=.;
