Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PH2.DAT' lrecl= 41;
Data SASLIB.SEC13PH2;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13H00   Length=3 Label='00. Numero  Produto';
   attrib V13H05   Length=3 Label='05. Produto Veg. Extrativo 12 M';
   attrib V13H06   Length=3 Label='06. Inform. Prod. Veg. Coletado';
   attrib V13H07   Length=4 Label='07. Quantid. Prod.Veg. Coletado';
   attrib V13H08   Length=4 Label='08. Equival. Prod.Veg. Coletado';
   attrib V13H08F  Length=3 Label='Flag Secao 13 Parte H2';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13H00      25-26
   V13H05      27-28
   V13H06      29-30
   V13H07      31-35
   V13H08      36-40
   V13H08F     41-41
;
   if V13H00  >=99.          Then V13H00=.;
   if V13H05  >=99.          Then V13H05=.;
   if V13H06  >=99.          Then V13H06=.;
   if V13H07  >=99999.       Then V13H07=.;
   if V13H08  >=99999.       Then V13H08=.;
