Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC15.DAT' lrecl= 96;
Data SASLIB.SEC15;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V15A01   Length=8 Label='01. Opiniao Menor Renda/Famil.';
   attrib V15A02   Length=8 Label='02. Opiniao Renda Nec/Aliment.';
   attrib V15A03   Length=8 Label='03. Opiniao Renda Nec/Manut.';
   attrib V15A04   Length=3 Label='04. Opiniao Tipo Vida C/ Renda';
   attrib V15A05   Length=5 Label='05. Opiniao Renda Boa';
   attrib V15A06   Length=5 Label='06. Opiniao Renda Suficiente';
   attrib V15A07   Length=5 Label='07. Opiniao Renda Insuficiente';
   attrib V15A08   Length=5 Label='08. Opiniao Renda Ruim';
   attrib V15A101  Length=3 Label='Avaliacao Educacao';
   attrib V15A121  Length=3 Label='Importancia Educacao';
   attrib V15A102  Length=3 Label='Avaliacao Saude';
   attrib V15A122  Length=3 Label='Importancia Saude';
   attrib V15A103  Length=3 Label='Avaliacao Habitacao';
   attrib V15A123  Length=3 Label='Importancia Habitacao';
   attrib V15A104  Length=3 Label='Avaliacao Seguranca Publica';
   attrib V15A124  Length=3 Label='Importancia Seguranca Publica';
   attrib V15A105  Length=3 Label='Avaliacao Lazer';
   attrib V15A125  Length=3 Label='Importancia Lazer';
   attrib V15A106  Length=3 Label='Avaliacao Alimentacao';
   attrib V15A126  Length=3 Label='Importancia Alimentacao';
   attrib V15A107  Length=3 Label='Avaliacao Vestuario';
   attrib V15A127  Length=3 Label='Importancia Vestuario';
   attrib V15A108  Length=3 Label='Avaliacao Trabalho';
   attrib V15A128  Length=3 Label='Importancia Trabalho';
   attrib V15A109  Length=3 Label='Avaliacao Transporte';
   attrib V15A129  Length=3 Label='Importancia Transporte';
   attrib V15A129f Length=3 Label='Flag Secao 15';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V15A01      25-32 .2
   V15A02      33-40 .2
   V15A03      41-48 .2
   V15A04      49-49
   V15A05      50-56 .2
   V15A06      57-63 .2
   V15A07      64-70 .2
   V15A08      71-77 .2
   V15A101     78-78
   V15A121     79-79
   V15A102     80-80
   V15A122     81-81
   V15A103     82-82
   V15A123     83-83
   V15A104     84-84
   V15A124     85-85
   V15A105     86-86
   V15A125     87-87
   V15A106     88-88
   V15A126     89-89
   V15A107     90-90
   V15A127     91-91
   V15A108     92-92
   V15A128     93-93
   V15A109     94-94
   V15A129     95-95
   V15A129f    96-96
;
   if V15A01  >=999999.      Then V15A01=.;
   if V15A02  >=999999.      Then V15A02=.;
   if V15A03  >=999999.      Then V15A03=.;
   if V15A04  >=9.           Then V15A04=.;
   if V15A05  >=99999.       Then V15A05=.;
   if V15A06  >=99999.       Then V15A06=.;
   if V15A07  >=99999.       Then V15A07=.;
   if V15A08  >=99999.       Then V15A08=.;
   if V15A101 >=9.           Then V15A101=.;
   if V15A121 >=9.           Then V15A121=.;
   if V15A102 >=9.           Then V15A102=.;
   if V15A122 >=9.           Then V15A122=.;
   if V15A103 >=9.           Then V15A103=.;
   if V15A123 >=9.           Then V15A123=.;
   if V15A104 >=9.           Then V15A104=.;
   if V15A124 >=9.           Then V15A124=.;
   if V15A105 >=9.           Then V15A105=.;
   if V15A125 >=9.           Then V15A125=.;
   if V15A106 >=9.           Then V15A106=.;
   if V15A126 >=9.           Then V15A126=.;
   if V15A107 >=9.           Then V15A107=.;
   if V15A127 >=9.           Then V15A127=.;
   if V15A108 >=9.           Then V15A108=.;
   if V15A128 >=9.           Then V15A128=.;
   if V15A109 >=9.           Then V15A109=.;
   if V15A129 >=9.           Then V15A129=.;
