Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC06PC.DAT' lrecl= 68;
Data SASLIB.SEC06PC;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem  Pessoa';
   attrib V06C01   Length=3 Label='01. Ocupacao Ultimos 7 Dias';
   attrib V06C02   Length=3 Label='02. Atividade Principal Ult.7 Dias';
   attrib V06C03   Length=3 Label='03. Posicao Ocupacao';
   attrib V06C04   Length=3 Label='04. Licenca Exercer Este Trab.?';
   attrib V06C05   Length=3 Label='05. Setor Trabalho';
   attrib V06C06   Length=3 Label='06. Neste Trabalho E';
   attrib V06C07   Length=3 Label='07. Tem Carteira Assinada?';
   attrib V06C08   Length=3 Label='08. Hs/Sema. Dedic. EsteTrab.';
   attrib V06C09   Length=3 Label='09. Meses NesteTrabalho 12 M';
   attrib V06C10   Length=3 Label='10. Trabalho Epoca Ano?';
   attrib V06C11   Length=8 Label='11. Rendimento Bruto Ult. 30 D';
   attrib V06C12   Length=8 Label='12. Rendimento Liquido Ult.30D';
   attrib V06C13   Length=3 Label='13. Outro Trabalho  Ult. 7 Dias?';
   attrib V06C14   Length=8 Label='14. Total Receb.Trab. Secund.';
   attrib V06C14F  Length=3 Label='Flag Secao 06 Parte c Item 14';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V06C01      27-29
   V06C02      30-32
   V06C03      33-33
   V06C04      34-34
   V06C05      35-35
   V06C06      36-36
   V06C07      37-37
   V06C08      38-39
   V06C09      40-41
   V06C10      42-42
   V06C11      43-50 .2
   V06C12      51-58 .2
   V06C13      59-59
   V06C14      60-67 .2
   V06C14F     68-68
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V06C01  >=999.         Then V06C01=.;
   if V06C03  >=9.           Then V06C03=.;
   if V06C04  >=9.           Then V06C04=.;
   if V06C05  >=9.           Then V06C05=.;
   if V06C06  >=9.           Then V06C06=.;
   if V06C07  >=9.           Then V06C07=.;
   if V06C08  >=99.          Then V06C08=.;
   if V06C09  >=99.          Then V06C09=.;
   if V06C10  >=9.           Then V06C10=.;
   if V06C11  >=999999.      Then V06C11=.;
   if V06C12  >=999999.      Then V06C12=.;
   if V06C13  >=9.           Then V06C13=.;
   if V06C14  >=999999.      Then V06C14=.;
