Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC07PC.DAT' lrecl= 74;
Data SASLIB.SEC07PC;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem  Pessoa';
   attrib V07C01   Length=3 Label='01. Numero  Filho  Ordem Nasc.';
   attrib V07C02   Length=3 Label='02. Este Filho Esta Vivo ?';
   attrib V07C03   Length=3 Label='03. Este Filho Mora Domicilio ?';
   attrib V07C04   Length=3 Label='04. Ordem Filho Sec 02 Parte A';
   attrib V07C05   Length=3 Label='05. Dia  Falecimento';
   attrib V07C06   Length=3 Label='06. Mes  Falecimento';
   attrib V07C07   Length=3 Label='07. Ano Falecimento';
   attrib V07C08   Length=3 Label='08. Houve Registro  Obito ?';
   attrib V07C09   Length=3 Label='09. Tipo  Parto';
   attrib V07C10   Length=3 Label='10. Sexo  Filho';
   attrib V07C11   Length=3 Label='11. Tem Registro  Nascimento ?';
   attrib V07C12   Length=3 Label='12. Dia  Nascimento';
   attrib V07C13   Length=3 Label='13. Mes  Nascimento';
   attrib V07C14   Length=3 Label='14. Ano  Nascimento';
   attrib V07C15   Length=3 Label='15. Foi Pesado Ao Nascer?';
   attrib V07C16   Length=3 Label='16. Peso/Kg Ao Nascer';
   attrib V07C17   Length=3 Label='17. Peso/Gramas Ao Nascer';
   attrib V07C18   Length=3 Label='18. Amamentado Leite Hum.?';
   attrib V07C19   Length=3 Label='19. Dias/Vida  Amam.Prim. Vez';
   attrib V07C20   Length=3 Label='20. Usou Leite Dif. Leite Hum.?';
   attrib V07C21   Length=3 Label='21. Meses/Vida Inic.Outro Leite';
   attrib V07C22   Length=3 Label='22. Meses/Vida Inic.Outros Liqu.';
   attrib V07C23   Length=3 Label='23. Meses/Vida Inic. Alim.Solido ?';
   attrib V07C24   Length=3 Label='24. Fez Pre-Natal Deste Filho ?';
   attrib V07C25   Length=3 Label='25. Onde Fez Pre-Natal';
   attrib V07C26   Length=3 Label='26. Num. Consultas Pre-Natal';
   attrib V07C27   Length=3 Label='27. Antitetanica Nesta Gravidez?';
   attrib V07C28   Length=3 Label='28. FilhoTeve Diarreia Ult.30 D?';
   attrib V07C29   Length=3 Label='29. Consumo Liquidos  Diarreia';
   attrib V07C30   Length=3 Label='30. Aliment. Normal Na Diarreia?';
   attrib V07C31   Length=3 Label='31. Procurou Medico Diarreia?';
   attrib V07C32   Length=3 Label='32 Tomou Soro Reidratacao?';
   attrib V07C32F  Length=3 Label='Flag Secao 07 Parte C';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V07C01      27-28
   V07C02      29-29
   V07C03      30-30
   V07C04      31-32
   V07C05      33-34
   V07C06      35-36
   V07C07      37-38
   V07C08      39-39
   V07C09      40-40
   V07C10      41-41
   V07C11      42-42
   V07C12      43-44
   V07C13      45-46
   V07C14      47-48
   V07C15      49-49
   V07C16      50-50
   V07C17      51-53
   V07C18      54-54
   V07C19      55-56
   V07C20      57-57
   V07C21      58-59
   V07C22      60-61
   V07C23      62-63
   V07C24      64-64
   V07C25      65-65
   V07C26      66-67
   V07C27      68-68
   V07C28      69-69
   V07C29      70-70
   V07C30      71-71
   V07C31      72-72
   V07C32      73-73
   V07C32F     74-74
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V07C01  >=99.          Then V07C01=.;
   if V07C02  >=9.           Then V07C02=.;
   if V07C03  >=9.           Then V07C03=.;
   if V07C04  >=99.          Then V07C04=.;
   if V07C05  >=99.          Then V07C05=.;
   if V07C06  >=99.          Then V07C06=.;
   if V07C07  >=99.          Then V07C07=.;
   if V07C08  >=9.           Then V07C08=.;
   if V07C09  >=9.           Then V07C09=.;
   if V07C11  >=9.           Then V07C11=.;
   if V07C12  >=99.          Then V07C12=.;
   if V07C13  >=99.          Then V07C13=.;
   if V07C14  >=99.          Then V07C14=.;
   if V07C15  >=9.           Then V07C15=.;
   if V07C16  >=9.           Then V07C16=.;
   if V07C17  >=999.         Then V07C17=.;
   if V07C18  >=9.           Then V07C18=.;
   if V07C19  >=99.          Then V07C19=.;
   if V07C20  >=9.           Then V07C20=.;
   if V07C21  >=99.          Then V07C21=.;
   if V07C22  >=99.          Then V07C22=.;
   if V07C23  >=99.          Then V07C23=.;
   if V07C24  >=9.           Then V07C24=.;
   if V07C25  >=9.           Then V07C25=.;
   if V07C26  >=99.          Then V07C26=.;
   if V07C27  >=9.           Then V07C27=.;
   if V07C28  >=9.           Then V07C28=.;
   if V07C29  >=9.           Then V07C29=.;
   if V07C30  >=9.           Then V07C30=.;
   if V07C31  >=9.           Then V07C31=.;
   if V07C32  >=9.           Then V07C32=.;
