Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC10PB.DAT' lrecl= 30;
Data SASLIB.SEC10PB;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V10B01   Length=3 Label='01. Tipo Bem Domicilio';
   attrib V10B02   Length=3 Label='02. Possui Tipo Bem?';
   attrib V10B03   Length=3 Label='03. Forma  Aquisicao Bem';
   attrib V10B04   Length=3 Label='04. Estado Bem Data Aquisicao';
   attrib V10B04F  Length=3 Label='Flag Secao 10 Parte B';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V10B01      25-26
   V10B02      27-27
   V10B03      28-28
   V10B04      29-29
   V10B04F     30-30
;
   if V10B01  >=99.          Then V10B01=.;
   if V10B02  >=9.           Then V10B02=.;
   if V10B03  >=9.           Then V10B03=.;
   if V10B04  >=9.           Then V10B04=.;
