Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC12PC.DAT' lrecl= 50;
Data SASLIB.SEC12PC;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V12C01   Length=3 Label='01. Itens da Empresa';
   attrib V12C02   Length=3 Label='02. Empresa 1 Tem O Item?';
   attrib V12C03   Length=5 Label='03. Valor Item Empresa 1';
   attrib V12C04   Length=3 Label='04. Empresa 2 Tem O Item?';
   attrib V12C05   Length=5 Label='05. Valor Item Empresa 2';
   attrib V12C06   Length=3 Label='06. Empresa 3 Tem O Item?';
   attrib V12C07   Length=5 Label='07. Valor Item Empresa 3';
   attrib V12C07F  Length=3 Label='Flag Secao 12 Parte C';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V12C01      25-25
   V12C02      26-26
   V12C03      27-33
   V12C04      34-34
   V12C05      35-41
   V12C06      42-42
   V12C07      43-49
   V12C07F     50-50
;
   if V12C01  >=9.           Then V12C01=.;
   if V12C02  >=9.           Then V12C02=.;
   if V12C03  >=9999999.     Then V12C03=.;
   if V12C04  >=9.           Then V12C04=.;
   if V12C05  >=9999999.     Then V12C05=.;
   if V12C06  >=9.           Then V12C06=.;
   if V12C07  >=9999999.     Then V12C07=.;
