Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PC.DAT' lrecl= 44;
Data SASLIB.SEC13PC;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13C00   Length=3 Label='00. Num Produto Sec 13 ParteC';
   attrib V13C01   Length=4 Label='01. Produto Elaborado';
   attrib V13C02   Length=3 Label='02. Informacoes Prod.Elaborado';
   attrib V13C03   Length=4 Label='03. Quantidade Prod. Elaborado';
   attrib V13C04   Length=4 Label='04. Equivalencia Prod.Elaborado';
   attrib V13C04F  Length=3 Label='Flag Secao 13 Parte C';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13C00      25-26
   V13C01      27-31
   V13C02      32-33
   V13C03      34-38
   V13C04      39-43
   V13C04F     44-44
;
   if V13C00  >=99.          Then V13C00=.;
   if V13C01  >=99999.       Then V13C01=.;
   if V13C02  >=09.          Then V13C02=.;
   if V13C03  >=99999.       Then V13C03=.;
   if V13C04  >=99999.       Then V13C04=.;
