Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PL.DAT' lrecl= 32;
Data SASLIB.SEC13PL;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13L01   Length=3 Label='01. Tipo Maquinas/Itens Agric.';
   attrib V13L02   Length=3 Label='02. Possui Maquina/Itens Agric?';
   attrib V13L03   Length=3 Label='03. Quantidade Maq. Ult 12 M';
   attrib V13L04   Length=3 Label='04. Quantidade Atual Maquinas';
   attrib V13L04F  Length=3 Label='Flag Secao 13 Parte L';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13L01      25-26
   V13L02      27-27
   V13L03      28-29
   V13L04      30-31
   V13L04F     32-32
;
   if V13L01  >=99.          Then V13L01=.;
   if V13L02  >=9.           Then V13L02=.;
   if V13L03  >=99.          Then V13L03=.;
   if V13L04  >=99.          Then V13L04=.;
