Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC14PD.DAT' lrecl= 44;
Data SASLIB.SEC14PD;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V14D01   Length=3 Label='01. Tipos Equipamentos Pesq.';
   attrib V14D02   Length=3 Label='02. Teve Gastos Equip.Pesq.?';
   attrib V14D03   Length=8 Label='03. Gasto Equip. Pesq. Ult12 M';
   attrib V14D04   Length=8 Label='04. Gasto Equip. Pesq. Ult 7 D';
   attrib V14D04F  Length=3 Label='Flag Secao 14 Parte D';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V14D01      25-26
   V14D02      27-27
   V14D03      28-35 .2
   V14D04      36-43 .2
   V14D04F     44-44
;
   if V14D01  >=99.          Then V14D01=.;
   if V14D02  >=9.           Then V14D02=.;
   if V14D03  >=999999.      Then V14D03=.;
   if V14D04  >=999999.      Then V14D04=.;
