Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC16.DAT' lrecl= 42;
Data SASLIB.SEC16;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V16A01   Length=3 Label='01. Foi Medido ?';
   attrib V16A02   Length=3 Label='02. Como Foi Medido';
   attrib V16A03   Length=3 Label='03. Altura em Metros';
   attrib V16A04   Length=5 Label='04. Altura em Centimetros';
   attrib V16A05   Length=3 Label='05. Porque Nao Foi Medido';
   attrib V16A06   Length=3 Label='06. Foi Pesado ?';
   attrib V16A07   Length=3 Label='07. Peso em Quilos';
   attrib V16A08   Length=3 Label='08. Peso em Gramas';
   attrib V16A09   Length=3 Label='09. Porque Nao Foi Pesado';
   attrib V16A09F  Length=3 Label='Flag Secao 16';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V16A01      27-27
   V16A02      28-28
   V16A03      29-29
   V16A04      30-32 .1
   V16A05      33-33
   V16A06      34-34
   V16A07      35-37
   V16A08      38-40
   V16A09      41-41
   V16A09F     42-42
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V16A01  >=9.           Then V16A01=.;
   if V16A02  >=9.           Then V16A02=.;
   if V16A03  >=9.           Then V16A03=.;
   if V16A04  >=99.          Then V16A04=.;
   if V16A05  >=9.           Then V16A05=.;
   if V16A06  >=9.           Then V16A06=.;
   if V16A07  >=999.         Then V16A07=.;
   if V16A08  >=999.         Then V16A08=.;
   if V16A09  >=9.           Then V16A09=.;
